Bug 1780821 - [abrt] remmina: strlen(): remmina killed by SIGSEGV
Summary: [abrt] remmina: strlen(): remmina killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f6f13470229ba2cfab7c3d4be01...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-07 10:24 UTC by sf
Modified: 2020-02-24 01:04 UTC (History)
2 users (show)

Fixed In Version: remmina-1.3.10-1.fc31 remmina-1.3.10-1.fc30 remmina-1.3.10-1.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-11 01:14:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (39.56 KB, text/plain)
2019-12-07 10:24 UTC, sf
no flags Details
File: core_backtrace (20.35 KB, text/plain)
2019-12-07 10:24 UTC, sf
no flags Details
File: cpuinfo (1.88 KB, text/plain)
2019-12-07 10:24 UTC, sf
no flags Details
File: dso_list (14.14 KB, text/plain)
2019-12-07 10:24 UTC, sf
no flags Details
File: environ (1.60 KB, text/plain)
2019-12-07 10:24 UTC, sf
no flags Details
File: exploitable (82 bytes, text/plain)
2019-12-07 10:24 UTC, sf
no flags Details
File: limits (1.29 KB, text/plain)
2019-12-07 10:24 UTC, sf
no flags Details
File: maps (87.34 KB, text/plain)
2019-12-07 10:24 UTC, sf
no flags Details
File: mountinfo (2.54 KB, text/plain)
2019-12-07 10:24 UTC, sf
no flags Details
File: open_fds (2.22 KB, text/plain)
2019-12-07 10:24 UTC, sf
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-12-07 10:24 UTC, sf
no flags Details

Description sf 2019-12-07 10:24:27 UTC
Description of problem:
try to add a n ssh session recorder path and into filemanager crash on folder click. problem can be reproducted

Version-Release number of selected component:
remmina-1.3.6-1.fc31

Additional info:
reporter:       libreport-2.11.3
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        /usr/bin/remmina
crash_function: strlen
executable:     /usr/bin/remmina
journald_cursor: s=cfd25db6362a4b6abd0915c9335ddc03;i=3de6;b=041aa6cc73db442c84890520576ba491;m=422352787;t=599188e31ff0e;x=b062196ac5022fc0
kernel:         5.3.13-300.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 sf 2019-12-07 10:24:31 UTC
Created attachment 1642817 [details]
File: backtrace

Comment 2 sf 2019-12-07 10:24:34 UTC
Created attachment 1642818 [details]
File: core_backtrace

Comment 3 sf 2019-12-07 10:24:36 UTC
Created attachment 1642819 [details]
File: cpuinfo

Comment 4 sf 2019-12-07 10:24:38 UTC
Created attachment 1642820 [details]
File: dso_list

Comment 5 sf 2019-12-07 10:24:39 UTC
Created attachment 1642821 [details]
File: environ

Comment 6 sf 2019-12-07 10:24:41 UTC
Created attachment 1642822 [details]
File: exploitable

Comment 7 sf 2019-12-07 10:24:42 UTC
Created attachment 1642823 [details]
File: limits

Comment 8 sf 2019-12-07 10:24:45 UTC
Created attachment 1642824 [details]
File: maps

Comment 9 sf 2019-12-07 10:24:47 UTC
Created attachment 1642825 [details]
File: mountinfo

Comment 10 sf 2019-12-07 10:24:48 UTC
Created attachment 1642826 [details]
File: open_fds

Comment 11 sf 2019-12-07 10:24:50 UTC
Created attachment 1642827 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2020-02-08 16:54:01 UTC
FEDORA-2020-2404c9ff3b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2404c9ff3b

Comment 13 Fedora Update System 2020-02-08 17:07:12 UTC
FEDORA-EPEL-2020-e3426f6e51 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e3426f6e51

Comment 14 Fedora Update System 2020-02-09 01:21:11 UTC
freerdp-2.0.0-56.20200207git245fc60.fc31, guacamole-server-1.1.0-5.fc31, remmina-1.3.10-1.fc31, vinagre-3.22.0-17.fc31, weston-7.0.0-3.fc31, wlroots-0.6.0-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-483cbdf643

Comment 15 Fedora Update System 2020-02-09 01:46:59 UTC
freerdp-2.0.0-56.20200207git245fc60.fc30, guacamole-server-1.1.0-5.fc30, remmina-1.3.10-1.fc30, vinagre-3.22.0-16.fc30, weston-6.0.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2404c9ff3b

Comment 16 Fedora Update System 2020-02-09 01:48:06 UTC
guacamole-server-1.1.0-1.el7, remmina-1.3.10-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e3426f6e51

Comment 17 Fedora Update System 2020-02-11 01:14:04 UTC
freerdp-2.0.0-56.20200207git245fc60.fc31, guacamole-server-1.1.0-5.fc31, remmina-1.3.10-1.fc31, vinagre-3.22.0-17.fc31, weston-7.0.0-3.fc31, wlroots-0.6.0-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-02-17 01:26:25 UTC
freerdp-2.0.0-56.20200207git245fc60.fc30, guacamole-server-1.1.0-5.fc30, remmina-1.3.10-1.fc30, vinagre-3.22.0-16.fc30, weston-6.0.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2020-02-24 01:04:57 UTC
guacamole-server-1.1.0-1.el7, remmina-1.3.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.